# Created by: Martin Wilke <miwi@FreeBSD.org>

PORTNAME=	gupnp-av
PORTVERSION=	0.14.0
PORTREVISION=	2
CATEGORIES=	net
MASTER_SITES=	GNOME

MAINTAINER=	sunpoet@FreeBSD.org
COMMENT=	Helpers for audio/video applications using GUPnP

LICENSE=	LGPL20
LICENSE_FILE=	${WRKSRC}/COPYING

BUILD_DEPENDS=	glib>=2.58:devel/glib20 \
		gobject-introspection>=1.36:devel/gobject-introspection

USES=		compiler:c11 gnome meson pkgconfig tar:xz
USE_GNOME=	glib20 introspection:build libxml2

MESON_ARGS=	-Dgtk_doc=false -Dintrospection=true
USE_CSTD=	c11
USE_LDCONFIG=	yes

OPTIONS_DEFINE=	VAPI
OPTIONS_SUB=	yes

VAPI_BUILD_DEPENDS=	vala>=0.22:lang/vala
VAPI_MESON_TRUE=	vapi

.include <bsd.port.mk>
